import React, { forwardRef } from 'react';
const baseClass = 'gutter';
export const Gutter = /*#__PURE__*/ forwardRef((props, ref)=>{
    const { children, className, left = true, negativeLeft = false, negativeRight = false, right = true } = props;
    const shouldPadLeft = left && !negativeLeft;
    const shouldPadRight = right && !negativeRight;
    return /*#__PURE__*/ React.createElement("div", {
        className: [
            shouldPadLeft && `${baseClass}--left`,
            shouldPadRight && `${baseClass}--right`,
            negativeLeft && `${baseClass}--negative-left`,
            negativeRight && `${baseClass}--negative-right`,
            className
        ].filter(Boolean).join(' '),
        ref: ref
    }, children);
});
Gutter.displayName = 'Gutter';

//# sourceMappingURL=index.js.map