'use client';
import React from 'react';
import { Chevron } from '../../icons/Chevron/index.js';
import { useTranslation } from '../../providers/Translation/index.js';
const baseClass = 'hamburger';
export const Hamburger = (props)=>{
    const { t } = useTranslation();
    const { closeIcon = 'x', isActive = false } = props;
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__wrapper`
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__icon`
    }, !isActive && /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__lines`,
        title: t('general:open')
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__line ${baseClass}__top`
    }), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__line ${baseClass}__middle`
    }), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__line ${baseClass}__bottom`
    })), isActive && /*#__PURE__*/ React.createElement("div", {
        "aria-label": closeIcon === 'collapse' ? t('general:collapse') : t('general:close'),
        className: `${baseClass}__close-icon`,
        title: closeIcon === 'collapse' ? t('general:collapse') : t('general:close')
    }, closeIcon === 'x' && /*#__PURE__*/ React.createElement(React.Fragment, null, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__line ${baseClass}__x-left`
    }), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__line ${baseClass}__x-right`
    })), closeIcon === 'collapse' && /*#__PURE__*/ React.createElement(Chevron, {
        className: `${baseClass}__collapse-chevron`,
        direction: "left"
    })))));
};

//# sourceMappingURL=index.js.map