import React from 'react';
import { Chevron } from '../../../icons/Chevron/index.js';
const baseClass = 'clickable-arrow';
export const ClickableArrow = (props)=>{
    const { direction = 'right', isDisabled = false, updatePage } = props;
    const classes = [
        baseClass,
        isDisabled && `${baseClass}--is-disabled`,
        direction && `${baseClass}--${direction}`
    ].filter(Boolean).join(' ');
    return /*#__PURE__*/ React.createElement("button", {
        className: classes,
        disabled: isDisabled,
        onClick: !isDisabled ? updatePage : undefined,
        type: "button"
    }, /*#__PURE__*/ React.createElement(Chevron, null));
};

//# sourceMappingURL=index.js.map