'use client';
import { getTranslation } from '@payloadcms/translations';
import { useTranslation } from '@payloadcms/ui/providers/Translation';
import { optionsAreObjects } from 'payload/types';
import React from 'react';
export const SelectCell = ({ cellData, options })=>{
    const { i18n } = useTranslation();
    const findLabel = (items)=>items.map((i)=>{
            const found = options.filter((f)=>f.value === i)?.[0]?.label;
            return getTranslation(found, i18n);
        }).join(', ');
    let content = '';
    if (optionsAreObjects(options)) {
        content = Array.isArray(cellData) ? findLabel(cellData) // hasMany
         : findLabel([
            cellData
        ]);
    } else {
        content = Array.isArray(cellData) ? cellData.join(', ') // hasMany
         : cellData;
    }
    return /*#__PURE__*/ React.createElement("span", null, content);
};

//# sourceMappingURL=index.js.map