'use client';
import React from 'react';
import { useFieldProps } from '../../forms/FieldPropsProvider/index.js';
import { RenderFields } from '../../forms/RenderFields/index.js';
import { withCondition } from '../../forms/withCondition/index.js';
import { fieldBaseClass } from '../shared/index.js';
import { RowProvider, useRow } from './provider.js';
export { RowProvider, useRow };
const baseClass = 'row';
const RowField = (props)=>{
    const { className, fieldMap, forceRender = false } = props;
    const { indexPath, path, readOnly, schemaPath, siblingPermissions } = useFieldProps();
    return /*#__PURE__*/ React.createElement(RowProvider, null, /*#__PURE__*/ React.createElement("div", {
        className: [
            fieldBaseClass,
            baseClass,
            className
        ].filter(Boolean).join(' ')
    }, /*#__PURE__*/ React.createElement(RenderFields, {
        fieldMap,
        forceRender,
        path,
        readOnly,
        schemaPath,
        className: `${baseClass}__fields`,
        fieldMap: fieldMap,
        forceRender: forceRender,
        indexPath: indexPath,
        margins: false,
        permissions: siblingPermissions
    })));
};
export const Row = withCondition(RowField);

//# sourceMappingURL=index.js.map