import { isReactServerComponent } from 'payload/utilities';
import React from 'react';
export const WithServerSideProps = ({ Component, payload, ...rest })=>{
    if (Component) {
        const WithServerSideProps = (passedProps)=>{
            const propsWithPayload = {
                ...passedProps,
                ...isReactServerComponent(Component) ? {
                    payload
                } : {}
            };
            return /*#__PURE__*/ React.createElement(Component, propsWithPayload);
        };
        return /*#__PURE__*/ React.createElement(WithServerSideProps, rest);
    }
    return null;
};

//# sourceMappingURL=WithServerSideProps.js.map