import type { I18n, Language } from '@payloadcms/translations';
import type { ClientConfig } from 'payload/types';
import React from 'react';
export type LanguageOptions = {
    label: string;
    value: string;
}[];
type Props = {
    children: React.ReactNode;
    dateFNSKey: Language['dateFNSKey'];
    fallbackLang: ClientConfig['i18n']['fallbackLanguage'];
    language: string;
    languageOptions: LanguageOptions;
    switchLanguageServerAction: (lang: string) => Promise<void>;
    translations: Language['translations'];
};
export declare const TranslationProvider: React.FC<Props>;
export declare const useTranslation: () => {
    i18n: I18n;
    languageOptions: LanguageOptions;
    switchLanguage?: (lang: string) => Promise<void>;
    t: (key: string, vars?: Record<string, any>) => string;
};
export {};
//# sourceMappingURL=index.d.ts.map